AOZ Studio Beta - Bug #352

Get and Put cause syntax errors for Random files.
04/19/2020 08:34 PM - Brian Flanagan

Status: Resolved Start date: 04/19/2020
Priority: High Due date:

Assignee: AOZ Studio Team % Done: 0%
Category: Estimated time: 8:00 hours
Target version: 1.0.0 (B10) u16

Affected version: Beta 1

Description

Example: Help_71 from AMOSPro_Examples.
Syntax errors are produced on lines 112, 117, and 136:
112 Put 1,COUNT

117 Put 1,COUNT
136 Get 1,COUNT

History

#1 - 09/20/2020 08:11 AM - Brian Flanagan

- Assignee set to AOZ Studio Team

- Priority changed from Normal to High

- Estimated time set to 8:00 h

- Affected version changed from 0.9.8.1 to Beta RC2

Random files still don't work. Here's a full example:

Open Random 1,"test.dat"
Field 1,20 As FirstName$, 20 As LastName$, 10 As PhoneNumber$

FirstName$="Barney" : LastName$="Rubble" : PhoneNumber$="7891239876"
Put 1,1

FirstName$="Fred" : LastName$="Flintstone" : PhoneNumber$="7891234567"
Put 1,2

Close 1

The result is still syntax errors.

#2 - 11/17/2020 10:32 PM - Brian Flanagan
- Affected version changed from Beta RC2 to Beta 1

Get and Put no longer produce Syntax errors, HOWEVER, Close n fails. (Causes Internal Error.)

test.dat is NOT written.

#3 - 10/21/2021 09:49 AM - Brian Flanagan
- Status changed from New to Resolved

- Target version set to 1.0.0 (B10) u16

Not sure when this was fixed, but it's all working now. :-)

Re-tested in 1.0.0 (B10) u16.
